Package org.apache.sling.testing.clients.instance

# Class InstanceSetup

java.lang.Object
org.apache.sling.testing.clients.instance.InstanceSetup

public final class InstanceSetup extends Object
Utility class for getting the current instance setup

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`INSTANCE_CONFIG_ADMINPASSWORD`
`static final String`
`INSTANCE_CONFIG_ADMINUSER`
`static final String`
`INSTANCE_CONFIG_INSTANCES`
`static final String`
`INSTANCE_CONFIG_RUNMODE`
`static final String`
`INSTANCE_CONFIG_URL`

## Method Summary

Modifier and Type
Method
Description
`static InstanceSetup`
`get()`
`List<InstanceConfiguration>`
`getConfigurations()`
`List<InstanceConfiguration>`
`getConfigurations(String runmode)`
Get the list of all InstanceConfiguration with a specific `runmode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE_CONFIG_INSTANCES

public static final String INSTANCE_CONFIG_INSTANCES

See Also:
  - Constant Field Values

### INSTANCE_CONFIG_URL

public static final String INSTANCE_CONFIG_URL

See Also:
  - Constant Field Values

### INSTANCE_CONFIG_RUNMODE

public static final String INSTANCE_CONFIG_RUNMODE

See Also:
  - Constant Field Values

### INSTANCE_CONFIG_ADMINUSER

public static final String INSTANCE_CONFIG_ADMINUSER

See Also:
  - Constant Field Values

### INSTANCE_CONFIG_ADMINPASSWORD

public static final String INSTANCE_CONFIG_ADMINPASSWORD

See Also:
  - Constant Field Values

## Method Details

### get

public static InstanceSetup get()

Returns:
  the current setup object.

### getConfigurations

public List<InstanceConfiguration> getConfigurations()

Returns:
  all instance configurations.

### getConfigurations

public List<InstanceConfiguration> getConfigurations(String runmode)
Get the list of all InstanceConfiguration with a specific `runmode`

Parameters:
  `runmode` - the desired runmode
Returns:
  all instance configurations filtered by runmode.